=== modified file 'codeigniter/application/controllers/ManageCourses.php'
--- codeigniter/application/controllers/ManageCourses.php	2013-05-23 07:58:51 +0000
+++ codeigniter/application/controllers/ManageCourses.php	2013-05-24 09:37:27 +0000
@@ -41,8 +41,8 @@
 		
 		// Arrays
 		$headTagData = array(
-			'cssFiles' => array('header', 'examplesMenu', 'manageCoursesBody'),
-			'jsFiles' => array('header', 'examplesMenu', 'examplesBody', 'userControls', 'manageCourses')
+			'cssFiles' => array('manageCoursesBody', 'bannermenu'),
+			'jsFiles' => array('examplesBody', 'userControls', 'manageCourses', 'bannermenu')
 		);
 
 		$userInfo = array(
@@ -50,48 +50,20 @@
 			'userName' => $this->user->getUserName()
 		);
 
-		
-		$allTitles = array();
-		$allCourses = array();
-		
-		/* Loads categorydata into $allTitles */
-		$query = $this->ExamplesModel->getTitles($userInfo['userName']);
-		foreach ($query as $category)
-		{
-			// Category
-			$query2 = $this->ExamplesModel->getBody($category->categoryName);
-			$allTitles[$category->categoryName.",".$category->courseID] = array();
-		//	$allTitles[$category->categoryName] = array();
-		//	$allTitles[$category->courseID] = array();
-						foreach ($query2 as $subCategory)
-			{
-				// Subcategory
-				$query3 = $this->ExamplesModel->getExamples($subCategory->subCategoryName);
-				$allTitles[$category->categoryName][$subCategory->subCategoryName] = array();
-				foreach ($query3 as $examples)
-				{
-					//Examples
-					$allTitles[$category->categoryName][$subCategory->subCategoryName][] = $examples->exampleName;
-				}
-
-			}
-		}
-
-		/* Loads views */
+		// Loads head views, supplying CSS and JS data
 		$this->load->view('headTag', array('headTagData' => $headTagData));
-		$this->load->view('header', $userInfo);
-		$this->load->view('examplesMenu', array('titles' => $allTitles));	
+		$this->load->view('bannermenu', $userInfo);
 
 		// Check user login and display message if not logged in
-				// User has to be logged in and usertype has to be Tea
 		if(!$this->user->isLoggedIn() || $this->user->getUserType() != "Teacher") {
 			$this->load->view('manageCoursesMessage', array('message' => 'You do not have access to this page'));
 			return;
 		}
 
-		/* Loads coursedata into $allCourses */
+		// Loads data into $courses
 		$courses = $this->admin_model->getCourses();
 
+		// Loads manageCourses view with $courses
 		$this->load->view('manageCoursesBody', array("courses" => $courses));	
 
 	}
@@ -110,14 +82,9 @@
 			return;
 		}
 
-		/* 
-			To do: 
-				Login validation
-				Input validation
-		*/
-		if($this->input->post('cid')){
+		if($this->input->post('addCourseID')){
 			$this->load->model('admin/admin_model');
-			$this->admin_model->addCourse($_POST['cid'], $_POST['name'], $_POST['courseData']);
+			$this->admin_model->addCourse($this->input->post("addCourseID"), $this->input->post("addCourseName"), $this->input->post("addCourseData"));
 			redirect("/ManageCourses");
 		}
 		else{

=== modified file 'codeigniter/application/controllers/ajax.php'
--- codeigniter/application/controllers/ajax.php	2013-05-23 09:41:14 +0000
+++ codeigniter/application/controllers/ajax.php	2013-05-24 09:37:27 +0000
@@ -15,11 +15,9 @@
 		 *	This function loads a popupview to be displayed, the argument is the name of the popupview
 		 */
 		public function popup($popupName) {
-			$popup = $this->load->view('popup/'.$popupName, '', TRUE);
-			return $popup;
+			$this->load->view('popup/'.$popupName);
 		}
 		
-		
 		/*
 		 *	This function outputs data: user password hint.
 		 */
@@ -79,12 +77,30 @@
 
 		// Takes a course ID and sets the course to published (isHidden = 0)
 		public function publishCourse($courseID) {
-
+			$this->load->model('user');
+			$this->load->model('admin/admin_model');
+
+			if(!$this->user->isLoggedIn() || $this->user->getUserType() != "Teacher") {
+				$this->load->view('manageCoursesMessage', array('message' => 'You do not have access to this page'));
+				echo "not logged in";
+				return;
+			}
+
+			$this->admin_model->unsetCourseHidden($courseID);
 		}
 
 		//Takes a course ID and sets the course to unpublished (isHidden = 1)
 		public function unpublishCourse($courseID) {
+			$this->load->model('user');
+			$this->load->model('admin/admin_model');
+
+			if(!$this->user->isLoggedIn() || $this->user->getUserType() != "Teacher") {
+				$this->load->view('manageCoursesMessage', array('message' => 'You do not have access to this page'));
+				echo "not logged in";
+				return;
+			}
 			
+			$this->admin_model->setCourseHidden($courseID);
 		}
 	}
 ?>
\ No newline at end of file

=== modified file 'codeigniter/application/models/admin/admin_model.php'
--- codeigniter/application/models/admin/admin_model.php	2013-05-23 09:41:14 +0000
+++ codeigniter/application/models/admin/admin_model.php	2013-05-24 09:37:27 +0000
@@ -19,12 +19,12 @@
 		return $query->result();
 	}
 
-	public function setCourseHidden($courseID) {
+	function setCourseHidden($courseID) {
 		$this->db->where("courseID", $courseID);
-		$this->db->update("Courses", array("isHidden" => 0));
+		$this->db->update("Courses", array("isHidden" => 1));
 	}
 
-	public function unsetCourseHidden($courseID){
+	function unsetCourseHidden($courseID){
 		$this->db->where("courseID", $courseID);
 		$this->db->update("Courses", array("isHidden" => 0));
 	}

=== modified file 'codeigniter/application/views/manageCoursesBody.php'
--- codeigniter/application/views/manageCoursesBody.php	2013-05-23 09:41:14 +0000
+++ codeigniter/application/views/manageCoursesBody.php	2013-05-24 09:37:27 +0000
@@ -3,7 +3,7 @@
 				<div id="manageCoursesMenu">
 					<h1 class="viewTitle">Manage Courses</h1>
 					 <!-- Only displayed when teacher -->
-					<a class="btn" id="addCourseButton" href="#">Add course</a>
+					<a class="btn" id="addCourseButton" href="#">Add Course</a>
 				</div>
 
 				<div id="bodyContainer">
@@ -12,6 +12,7 @@
 							<th>Course Name</th>
 							<th>Course Code</th>
 							<th>Description</th>
+							<th>Published</th>
 							<th>Edit Course Details</th>
 						</tr>
 						<? foreach($courses as $item): ?>
@@ -19,12 +20,20 @@
 							<td class="courseName"><?= $item->name; ?></td>
 							<td class="courseID"><?= $item->courseID; ?></td>
 							<td class="courseData"><?= $item->courseData; ?></td>
+							<td class="coursePublishButton">
+								<? if(ord($item->isHidden)): ?>
+									<a href="<?=base_url();?>ajax/publishCourse/<?=$item->courseID;?>" class="publishButton unpublished">Unpublished</a>
+								<? else: ?>
+									<a href="<?=base_url();?>ajax/unpublishCourse/<?=$item->courseID;?>" class="publishButton published">Published</a>
+								<? endif; ?> 
+							</td>
 							<td><a href="#" class="manageCourseButton">Manage Course</a></td>
-							<td><pre><?=var_dump($item);?></pre></td>
 						</tr>
 						<? endforeach; ?>
 					</table>
 				</div>
+				<div id="popup"></div>
+				<? /*
 				<div id="addCourse" class="manageCoursePopup">
 					<h2 class="popupHeader">Add Course</h2>
 					<?= form_open(base_url().'ManageCourses/addCourse'); ?>
@@ -71,7 +80,7 @@
 							<button class="popupButtons btn" type="submit">Confirm</button>
 							<button class="cancelButton popupButtons btn">Cancel</button>
 						</div>
-					<?= form_close(); ?>
+					<?= form_close(); ?> */?>
 				</div>	
 			</div><!-- end #manageCourses -->
 		</div> <!-- end #wrapper -->

=== modified file 'codeigniter/application/views/popup/addCourse.php'
--- codeigniter/application/views/popup/addCourse.php	2013-05-22 14:17:41 +0000
+++ codeigniter/application/views/popup/addCourse.php	2013-05-24 09:37:27 +0000
@@ -1,18 +1,23 @@
-<div id="addCourse">
-	<h2 class="loginTitle">Add Course</h2>
-	<div id="middleLayerPopupsSizeTwo">
-		<div class="tableRow">
-			<p class="tableCell">Course Name:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="Webbprogrammering"/>
-		</div>
-		<div class="tableRow">
-			<p class="tableCell">Course Code:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="DA330G"/>
-		</div>
-		<div class="tableRow">
-			<p class="tableCell">Course Description:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" placeholder="Css/html"/>
-		</div>
-	</div>
-	<div>
-		<input type="button" class="popupButtons btn" value="Confirm">
-		<input type="button" onClick="addCourseButtonHide()" class="popupButtons btn" value="Cancel">
-	</div>
-</div>
\ No newline at end of file
+<div id="addCourse" class="manageCoursePopup">
+	<h2 class="popupHeader">Add Course</h2>
+	<form action="<?=base_url();?>ManageCourses/addCourse" method="post">
+		<ul>
+			<li>
+				<label for="addCourseID">Course Code:</label>
+				<input type="text" class="text" name="addCourseID" id="addCourseID" placeHolder="Course Code">
+			</li>
+			<li>
+				<label for="addCourseName">Course Name:</label>
+				<input type="text" class="text" name="addCourseName" id="addCourseName" placeHolder="Course Name">
+			</li>
+			<li>
+				<label for="addCourseData">Course Description:</label>
+				<input type="text" class="text" name="addCourseData" id="addCourseData" placeHolder="Course Description">
+			</li>
+		</ul>
+		<div class="manageCoursePopupMenu">
+			<button class="popupButtons btn" type="submit">Confirm</button>
+			<button class="cancelButton popupButtons btn">Cancel</button>
+		</div>
+	</form>
+</div>	
\ No newline at end of file

=== modified file 'codeigniter/application/views/popup/editCourseDetails.php'
--- codeigniter/application/views/popup/editCourseDetails.php	2013-05-22 14:17:41 +0000
+++ codeigniter/application/views/popup/editCourseDetails.php	2013-05-24 09:37:27 +0000
@@ -1,18 +1,24 @@
-<div id="editCourseDetails">
-	<h2 class="loginTitle">Edit Course Details</h2>
-	<div id="middleLayerPopupsSizeTwo">
-		<div class="tableRow">
-			<p class="tableCell">Course Name:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" value="<?PHP echo $courseName ?>"/>
-		</div>
-		<div class="tableRow">
-			<p class="tableCell">Course Code:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" value="<?PHP echo $courseCode ?>"/>
-		</div>
-		<div class="tableRow">
-			<p class="tableCell">Course Description:</p> <input class="text" type="text" size="10" id="categoryName" name="categoryName" value="<?PHP echo $courseDescription ?>"/>
-		</div>
-	</div>
-	<div>
-		<input type="button" class="popupButtons btn" value="Confirm">
-		<input type="button" onClick="editCourseDetailsButtonHide()" class="popupButtons btn" value="Cancel">
-	</div>
-</div>
\ No newline at end of file
+<div id="editCourse" class="manageCoursePopup">
+	<h2 class="popupHeader">Edit Course</h2>
+	<form action="<?=base_url();?>ManageCourses/editCourse" method="post">
+		<ul>
+			<li>
+				<label for="editCourseID">Course Code:</label>
+				<span>Course Code</span>
+				<input type="hidden" id="editCourseID" name="editCourseID">
+			</li>
+			<li>
+				<label for="editCourseName">Course Name:</label>
+				<input type="text" class="text" name="editCourseName" id="editCourseName">
+			</li>
+			<li>
+				<label for="editCourseData">Course Description:</label>
+				<input type="text" class="text" name="editCourseData" id="editCourseData">
+			</li>
+		</ul>
+		<div class="manageCoursePopupMenu">
+			<button class="popupButtons btn" type="submit">Confirm</button>
+			<button class="cancelButton popupButtons btn">Cancel</button>
+		</div>
+	</form>
+</div>	
\ No newline at end of file

=== modified file 'codeigniter/css/manageCoursesBody.css'
--- codeigniter/css/manageCoursesBody.css	2013-05-23 07:58:51 +0000
+++ codeigniter/css/manageCoursesBody.css	2013-05-24 09:37:27 +0000
@@ -1,7 +1,3 @@
-body {
-	color: #4F5155;
-	height:1500px;
-}
 a:link{
 	text-decoration:none;
 }
@@ -26,12 +22,14 @@
 .viewTitle{
 	margin-left:20px;
 	font-size:20px;
+	line-height: 33px;
 	display:inline;
 }
 
 #manageCourses {
-	margin-top: 67px;
-	margin-left: 60px;
+	position: absolute;
+	width: 864px;
+	top: 54px;
 }
 
 h2.manageCourseBodyHeader{
@@ -56,24 +54,14 @@
 	border:1px solid #ccc;
 }
 
-
-#exampleBodyMenu{
-	float:left;
-	width:92%;
-	height:35px;
-	margin-left:60px;
-	margin-top:67px;
-	border-bottom: 1px solid #acacac;
-}
-
 #manageCoursesMenu {
+	height: 33px;
+	border-bottom: 1px #acacac solid;
 }
 
 /*	The box where all stuff in in body is generated in.*/
 #bodyContainer{
-	float:left;
-	margin-top:10px;
-	width:90%;
+	margin-top:20px;
 	z-index:0;
 }
 
@@ -195,27 +183,18 @@
 
 
 #addCourseButton{
-	float:right;
-	position:relative;
-	right:-133px;
-	height:20px;
-	width:100px;
-	font-family: Arial;
-	font-size: 12px;
-	font-weight:bold;
-	background-image: linear-gradient(to top,#fff,#f5f5f5);
-	margin-left:7px;
-	-webkit-touch-callout: none;
-	-webkit-user-select: none;
-	-khtml-user-select: none;
-	-moz-user-select: none;
-	-ms-user-select: none;
-	user-select: none;
+	margin-top: .45em;
+	padding: 2px 8px;
+	font-size: 125%;
+	float: right;
+	color: #666;
+	border: 1px solid #959595;
+	border-radius: 6px;
 }
 
 #addCourseButton:hover{
-	background-color:#f5f5f5;
-	background-image: linear-gradient(to bottom,#fff,#f5f5f5);
+	border-color: #000;
+	color: #000;
 }
 
 .manageCourseButton:before {
@@ -223,15 +202,15 @@
 	font-size:20px;
 	content: "C";
 	display: block;
+	margin: auto;
 	width: 20px;
 	height: 20px;
 	line-height: 20px;
+	border:1px solid #aaa;
 }
 
 .manageCourseButton{
-	display:inline-block;
 	color: #aaa;
-	border:1px solid #aaa;
 	font-size: 0;
 	line-height: 0;
 }
@@ -270,4 +249,21 @@
 
 #manageCourses th:first-child, #manageCourses td:first-child {
 	padding-left: 30px;
+}
+
+.publishButton {
+	display: block;
+	width: 25px;
+	height: 15px;
+	overflow: hidden;
+	text-indent: -200%;
+	margin: auto;
+}
+
+.publishButton.published {
+	background: green;
+}
+
+.publishButton.unpublished {
+	background: red;
 }
\ No newline at end of file

=== modified file 'codeigniter/js/manageCourses.js'
--- codeigniter/js/manageCourses.js	2013-05-22 11:39:03 +0000
+++ codeigniter/js/manageCourses.js	2013-05-24 09:37:27 +0000
@@ -1,64 +1,70 @@
 /* Functions */
 $(document).ready(function(){
-	$('body').click(function(e){
-		$('#addCourse').fadeOut(300);
-		$('#editCourse').fadeOut(300);
-	});	
-	
-	$('#addCourse').click(function(e){
-		e.stopPropagation();
-	});	
-	$('#editCourse').click(function(e){
-		e.stopPropagation();
-	});	
-	
-	
+
 	$('#addCourseButton').click(function(e){
-		var target = $('#addCourse');
-		if(target.is(":hidden")){
-			target.fadeIn(300);
-			e.stopPropagation();
-		}
-		else{
-			target.fadeOut(300);
-		}
-		
+		$("#popup").load("ajax/popup/addCourse", function() {
+			$("#addCourse").fadeIn(300);
+			$("#addCourse .cancelButton").click(cancelButtonHandler);
+		});
 	});
 	
 	$('.manageCourseButton').click(function(e){
-		var target = $('#editCourse');
-		if(target.is(":hidden")){
-
-			var courseID = $(this).parent().prevAll(".courseID").html();
-			var courseName = $(this).parent().prevAll(".courseName").html();
-			var courseData = $(this).parent().prevAll(".courseData").html();
-
-			showManageCourse(courseID, courseName, courseData);
-			e.stopPropagation();
-		}
-		else{
-			target.fadeOut(300);
-		}
-		
-	});
-
-	$(".cancelButton").click(function(e) {
-		$(this).closest(".manageCoursePopup").fadeOut(300);
-		e.preventDefault();
-		e.stopPropagation();
-	});
+		var courseID = $(this).parent().prevAll(".courseID").html();
+		var courseName = $(this).parent().prevAll(".courseName").html();
+		var courseData = $(this).parent().prevAll(".courseData").html();
+
+		$("#popup").load("ajax/popup/editCourseDetails", function() {
+			$("#editCourse #editCourseName").attr("value", courseName);
+			$("#editCourse span").html(courseID);
+			$("#editCourse #editCourseID").attr("value", courseID)
+			$("#editCourse #editCourseData").attr("value", courseData);
+
+			$("#editCourse").fadeIn(300);
+			$("#editCourse .cancelButton").click(cancelButtonHandler);
+		});
+	});
+
+	$(".cancelButton").click(cancelButtonHandler);
 
 	$("#manageCourses table tr:odd").addClass("odd");
 	$("#manageCourses table tr:even").addClass("even");
 
+	/* When you click published/unpublished, the course should be toggled to the opposite state */
+	$(".publishButton").click(publishButtonHandler);
+
+	$("body").click(function() {
+		$(".manageCoursePopup").fadeOut(300, function() {
+			$(this).remove();
+		});
+	});
+
+	$("#popup").click(function(e) {
+		e.stopPropagation();
+	});
 });
 
-function showManageCourse(courseID, courseName, courseData) {
-	$("#editCourse").fadeIn(300);
-	$("#editCourse #editCourseName").attr("value", courseName);
-	$("#editCourse span").html(courseID);
-	$("#editCourse #editCourseID").attr("value", courseID)
-	$("#editCourse #editCourseData").attr("value", courseData);
+function publishButtonHandler(evt) {
+	evt.preventDefault();
+	evt.stopPropagation();
+
+	// $(this) = the <a> being clicked. Fetch the a's href value. 
+	var href = $(this).attr("href");
+	var a = $(this);
+	$.get(href, function() {
+		var currentURL = window.location.pathname;
+		var courseID = a.parent().parent().attr("data-course");
+		a.parent().load(currentURL + " [data-course="+courseID+"] .coursePublishButton a", function(){
+			$(this).find("a").click(publishButtonHandler);
+		});
+	});
+}
+
+function cancelButtonHandler(e) {
+	$(this).closest(".manageCoursePopup").fadeOut(300, function(){
+		$(this).remove();
+	});
+	e.preventDefault();
+	e.stopPropagation();
 }
 
 window.onkeyup = function(event){

